#include <vector>

using namespace std;

class Complex {
  private:
    double re, im;

  public:
    Complex(double re_, double im_) : re(re_), im(im_) {}
};

int main() {
  Complex z1, z3{3, 4};
  const Complex i{0, 1};

  return 0;
}
